NXOpen .NET Reference  12.0.0
Public Types | Properties | List of all members
NXOpen.CAM.CircularAboutAxisMoveBuilder Class Reference

Represents the Circular Move To Point Builder More...

Inheritance diagram for NXOpen.CAM.CircularAboutAxisMoveBuilder:
NXOpen.CAM.MoveBuilder NXOpen.Builder NXOpen.GeometricUtilities.IComponentBuilder

Public Types

enum  AxisType { Tool, Vector }
 the axis type More...
 
enum  EndType { Angle, Point }
 the motion end type More...
 
enum  ExtensionType { Angle, Distance }
 the extension type More...
 
- Public Types inherited from NXOpen.CAM.MoveBuilder
enum  Motion {
  Rapid = 1, Engage, Cut, Stepover,
  Retract, Approach, Traversal, Departure,
  Return, FirstCut, LastCut, Crossover
}
 the motion Type More...
 
enum  Feed { Motion, Custom }
 the feed Type More...
 

Properties

unsafe NXOpen.Direction ArcAxis [get, set]
 Returns or sets the arc axis More...
 
unsafe
NXOpen.CAM.CircularAboutAxisMoveBuilder.AxisType 
ArcAxisType [get, set]
 Returns or sets the axis type More...
 
unsafe
NXOpen.CAM.CircularAboutAxisMoveBuilder.ExtensionType 
ArcExtendMethod [get, set]
 Returns or sets the arc extension type More...
 
unsafe NXOpen.Point CenterPoint [get, set]
 Returns or sets the center More...
 
unsafe NXOpen.Point EndPoint [get, set]
 Returns or sets the arc end point More...
 
unsafe double ExtendAngle [get, set]
 Returns or sets the extend angle More...
 
unsafe double ExtendDistance [get, set]
 Returns or sets the extend distance More...
 
unsafe
NXOpen.CAM.CircularAboutAxisMoveBuilder.EndType 
MotionEndType [get, set]
 Returns or sets the arc end type More...
 
unsafe double SweepAngle [get, set]
 Returns or sets the sweep angle More...
 
- Properties inherited from NXOpen.CAM.MoveBuilder
unsafe double FeedRate [get, set]
 Returns or sets the feed rate More...
 
unsafe NXOpen.CAM.MoveBuilder.Feed FeedType [get, set]
 Returns or sets the feed type More...
 
unsafe NXOpen.CAM.FeedRateUnit FeedUnit [get, set]
 Returns or sets the feed unit More...
 
unsafe
NXOpen.CAM.MoveBuilder.Motion 
MotionType [get, set]
 Returns or sets the motion type More...
 
unsafe int NumberOfUserParameters [get]
 Returns the number of user parameters More...
 
unsafe bool ProtectedMove [get, set]
 Returns or sets the protected move status More...
 
unsafe string SubopLabel [get, set]
 Returns or sets the subop label More...
 

Additional Inherited Members

- Public Member Functions inherited from NXOpen.CAM.MoveBuilder
unsafe void SetParent (NXOpen.CAM.CAMObject parent)
 Set parent More...
 
unsafe void SetSibling (NXOpen.CAM.CAMObject sibling)
 Set sibling More...
 
unsafe NXOpen.CAM.UdeParameter GetUserParameter (string parameterName)
 Returns the custom parameter with the given name. More...
 
unsafe NXOpen.CAM.UdeParameter GetUserParameter (int index)
 Returns the parameter at the input index. More...
 

Detailed Description

Represents the Circular Move To Point Builder

To create a new instance of this class, use NXOpen.CAM.MoveCollection.CreateCircularAboutAxisMoveBuilder

Created in NX5.0.0

Member Enumeration Documentation

the axis type

Enumerator
Tool 

Tool Axis

Vector 

Vector

the motion end type

Enumerator
Angle 

Angle

Point 

Point

the extension type

Enumerator
Angle 

Angle

Distance 

Distance

Property Documentation

unsafe NXOpen.Direction NXOpen.CAM.CircularAboutAxisMoveBuilder.ArcAxis
getset

Returns or sets the arc axis

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe NXOpen.CAM.CircularAboutAxisMoveBuilder.AxisType NXOpen.CAM.CircularAboutAxisMoveBuilder.ArcAxisType
getset

Returns or sets the axis type

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe NXOpen.CAM.CircularAboutAxisMoveBuilder.ExtensionType NXOpen.CAM.CircularAboutAxisMoveBuilder.ArcExtendMethod
getset

Returns or sets the arc extension type

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe NXOpen.Point NXOpen.CAM.CircularAboutAxisMoveBuilder.CenterPoint
getset

Returns or sets the center

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe NXOpen.Point NXOpen.CAM.CircularAboutAxisMoveBuilder.EndPoint
getset

Returns or sets the arc end point

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe double NXOpen.CAM.CircularAboutAxisMoveBuilder.ExtendAngle
getset

Returns or sets the extend angle

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe double NXOpen.CAM.CircularAboutAxisMoveBuilder.ExtendDistance
getset

Returns or sets the extend distance

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe NXOpen.CAM.CircularAboutAxisMoveBuilder.EndType NXOpen.CAM.CircularAboutAxisMoveBuilder.MotionEndType
getset

Returns or sets the arc end type

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe double NXOpen.CAM.CircularAboutAxisMoveBuilder.SweepAngle
getset

Returns or sets the sweep angle

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: None.


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.